#include "deftype.h"

int kstrchar2(unchar *str,unchar *cs0)
/* strの中からcs0内のどれかの文字（全角文字可）を捜しその位置を返す */
{
int i=0;
unsint cc,c;
unchar *cs;
	while ((cc=*str++)!=0) {
		if (check_kanji1(cc)) {cc=(cc<<8)|*str++;}
		cs=cs0;
		while ((c=*cs++)!=0) {
			if (check_kanji1(c)) {c=(c<<8)|*cs++;}
			if (cc==c) return(i);
		}
		i++; if (cc>=256) i++;
	}
	return(-1);
}
